Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class DefaultEdge

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--org.jgraph.graph.DefaultGraphCell
                  |
                  +--org.jgraph.graph.DefaultEdge

All Implemented Interfaces:
  Cloneable, Edge, GraphCell, MutableTreeNode, Serializable, TreeNode

public class DefaultEdge
extends DefaultGraphCell
implements Edge

A simple implementation for an edge.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DefaultEdge.DefaultRouting`

Nested classes inherited from class org.jgraph.graph.Edge
``

Field Summary
`protected Object` | `source` Source and target of the edge.
`protected Object` | `target` Source and target of the edge.

Fields inherited from class org.jgraph.graph.DefaultGraphCell
`attributes, defaultBounds`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`DefaultEdge()` Constructs an empty edge.
`DefaultEdge(Object userObject)` Constructs an edge that holds a reference to the specified user object.
`DefaultEdge(Object userObject, boolean allowsChildren)` Constructs an edge that holds a reference to the specified user object and sets default values for points and the label position.

Method Summary
`AttributeMap` | `changeAttributes(AttributeMap change)` Override parent method to ensure non-null points.
`protected void` | `checkDefaults()` Override parent method to ensure non-null points.
`Object` | `clone()` Create a clone of the cell.
`Object` | `getSource()` Returns the source of the edge.
`Object` | `getTarget()` Returns the target of the edge.
`void` | `setSource(Object port)` Sets the source of the edge.
`void` | `setTarget(Object port)` Returns the target of `edge`.

Methods inherited from class org.jgraph.graph.DefaultGraphCell
`cloneUserObject, getAttributes, getChildren, setAttributes, setUserObject`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgraph.graph.GraphCell
`getAttributes, setAttributes`

Field Detail

### source

    protected Object source

  Source and target of the edge.

### target

    protected Object target

  Source and target of the edge.

Constructor Detail

### DefaultEdge

    public DefaultEdge()

  Constructs an empty edge.

### DefaultEdge

    public DefaultEdge(Object userObject)

  Constructs an edge that holds a reference to the specified user object.

Parameters:
  `userObject` - reference to the user object

### DefaultEdge

    public DefaultEdge(Object userObject,
                       boolean allowsChildren)

  Constructs an edge that holds a reference to the specified user object and sets default values for points and the label position.

Parameters:
  `userObject` - reference to the user object

Method Detail

### checkDefaults

    protected void checkDefaults()

  Override parent method to ensure non-null points.

### changeAttributes

    public AttributeMap changeAttributes(AttributeMap change)

  Override parent method to ensure non-null points.

  Specified by:
    `changeAttributes` in interface `GraphCell`
  Overrides:
    `changeAttributes` in class `DefaultGraphCell`

### getSource

    public Object getSource()

  Returns the source of the edge.

  Specified by:
    `getSource` in interface `Edge`

### getTarget

    public Object getTarget()

  Returns the target of the edge.

  Specified by:
    `getTarget` in interface `Edge`

### setSource

    public void setSource(Object port)

  Sets the source of the edge.

  Specified by:
    `setSource` in interface `Edge`

### setTarget

    public void setTarget(Object port)

  Returns the target of `edge`.

  Specified by:
    `setTarget` in interface `Edge`

### clone

    public Object clone()

  Create a clone of the cell. The cloning of the user object is deferred to the cloneUserObject() method.

  Overrides:
    `clone` in class `DefaultGraphCell`
  Returns:
    Object a clone of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.